Subject: Re: IPP> Protocol Definition

From: Harry Lewis <[email-masked]>
Date: Fri, 11 Apr 1997 13:23:08 -0400

tmpAction: Mailing
Classification:
Prologue:
Epilogue: Harry Lewis - IBM Printing Systems

I do see one particular benefit to ASN.1 in that it can be mapped directly into
the Printer MIB and (soon) Job MIB implementations which already (or will)
exist in embedded printer systems. I've tried to point out several times that
IPP should not disregard compatibility with the printer MIB. Low cost embedded
controllers can ill afford to address industry standards which require
coexistence of redundant agents and/or databases.

At least, there should be a close mapping between IPP syntax and the Printer
MIB ASN.1.

Harry Lewis

---

From: Keith Moore <[email-masked]>
Date: Sun, 13 Apr 1997 02:18:15 -0400

> I do see one particular benefit to ASN.1 in that it can be mapped 
> directly into the Printer MIB and (soon) Job MIB implementations 
> which already (or will) exist in embedded printer systems. I've
> tried to point out several times that IPP should not disregard 
> compatibility with the printer MIB. Low cost embedded controllers
> can ill afford to address industry standards which require

MIB variables have text names in addition to OIDs.  When the same
variable appears in both IPP and some printer MIB, why not just use
the text form of the variable name in IPP?

Keith